import 'package:provider/single_child_widget.dart';

/// Mixin which allows `LuxMultiListener` to infer the types
/// of multiple [StoreListener], [EventBusListener], [StreamListener].
mixin LuxListenerSingleChildWidget on SingleChildWidget {}

/// Mixin which allows `LuxMultiProvider` to infer the types
/// of multiple [StoreProvider], [EventBusProvider], [RepositoryProvider].
mixin LuxProviderSingleChildWidget on SingleChildWidget {}
